Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -6144,19 +6169,19 @@
         		result = new ArrayList<Expression>();
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:857:2: ( (expa= expression ( T_COMMA expb= expression )* )? )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:857:4: (expa= expression ( T_COMMA expb= expression )* )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:861:2: ( (expa= expression ( T_COMMA expb= expression )* )? )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:861:4: (expa= expression ( T_COMMA expb= expression )* )?
             {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:857:4: (expa= expression ( T_COMMA expb= expression )* )?
-            int alt95=2;
-            final int LA95_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:861:4: (expa= expression ( T_COMMA expb= expression )* )?
+            int alt96=2;
+            final int LA96_0 = input.LA(1);
 
-            if ( (LA95_0==T_ABS||(LA95_0 >= T_CARD && LA95_0 <= T_CBRL)||LA95_0==T_DCONC||LA95_0==T_DINTER||LA95_0==T_DOM||(LA95_0 >= T_DUNION && LA95_0 <= T_ELEMS)||(LA95_0 >= T_EXISTS && LA95_0 <= T_FALSE)||LA95_0==T_FLOATNUMBER||LA95_0==T_FORALL||(LA95_0 >= T_HEAD && LA95_0 <= T_IDENTIFIER)||LA95_0==T_IF||LA95_0==T_INDS||LA95_0==T_INTNUMBER||LA95_0==T_LEN||(LA95_0 >= T_LPAREN && LA95_0 <= T_LSQPAREN)||LA95_0==T_MERGE||LA95_0==T_MINUS||(LA95_0 >= T_NEW && LA95_0 <= T_NIL)||LA95_0==T_NOT||LA95_0==T_RNG||LA95_0==T_SELF||LA95_0==T_STRINGLITERAL||LA95_0==T_TAIL||LA95_0==T_TRUE) ) {
-                alt95=1;
+            if ( (LA96_0==T_ABS||(LA96_0 >= T_CARD && LA96_0 <= T_CBRL)||LA96_0==T_DCONC||LA96_0==T_DINTER||LA96_0==T_DOM||(LA96_0 >= T_DUNION && LA96_0 <= T_ELEMS)||(LA96_0 >= T_EXISTS && LA96_0 <= T_FALSE)||LA96_0==T_FLOATNUMBER||LA96_0==T_FORALL||(LA96_0 >= T_HEAD && LA96_0 <= T_IDENTIFIER)||LA96_0==T_IF||LA96_0==T_INDS||LA96_0==T_INTNUMBER||LA96_0==T_LEN||(LA96_0 >= T_LPAREN && LA96_0 <= T_LSQPAREN)||LA96_0==T_MERGE||LA96_0==T_MINUS||(LA96_0 >= T_NEW && LA96_0 <= T_NIL)||LA96_0==T_NOT||LA96_0==T_RNG||LA96_0==T_SELF||LA96_0==T_STRINGLITERAL||LA96_0==T_TAIL||LA96_0==T_TRUE) ) {
+                alt96=1;
             }
-            switch (alt95) {
+            switch (alt96) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:857:5: expa= expression ( T_COMMA expb= expression )*
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:861:5: expa= expression ( T_COMMA expb= expression )*
                     {
                     pushFollow(FOLLOW_expression_in_methodCallParams4219);
                     expa=expression();
@@ -6166,20 +6191,20 @@
 
                     result.add(expa);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:857:41: ( T_COMMA expb= expression )*
-                    loop94:
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:861:41: ( T_COMMA expb= expression )*
+                    loop95:
                     do {
-                        int alt94=2;
-                        final int LA94_0 = input.LA(1);
+                        int alt95=2;
+                        final int LA95_0 = input.LA(1);
 
-                        if ( (LA94_0==T_COMMA) ) {
-                            alt94=1;
+                        if ( (LA95_0==T_COMMA) ) {
+                            alt95=1;
                         }
 
 
-                        switch (alt94) {
+                        switch (alt95) {
                     	case 1 :
-                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:857:42: T_COMMA expb= expression
+                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:861:42: T_COMMA expb= expression
                     	    {
                     	    match(input,T_COMMA,FOLLOW_T_COMMA_in_methodCallParams4224);
 
@@ -6195,7 +6220,7 @@
                     	    break;
 
                     	default :
-                    	    break loop94;
+                    	    break loop95;
                         }
                     } while (true);
 
@@ -6224,7 +6249,7 @@
 
 
     // $ANTLR start "op_un"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:867:1: op_un returns [UnaryOperator expr] : (r= op_un_set_list |r2= op_un_map | T_MINUS | T_NOT | T_ABS );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:871:1: op_un returns [UnaryOperator expr] : (r= op_un_set_list |r2= op_un_map | T_MINUS | T_NOT | T_ABS );
     public final UnaryOperator op_un() throws RecognitionException {
         UnaryOperator expr = null;
 
@@ -6238,8 +6263,8 @@
         		expr = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:872:2: (r= op_un_set_list |r2= op_un_map | T_MINUS | T_NOT | T_ABS )
-            int alt96=5;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:876:2: (r= op_un_set_list |r2= op_un_map | T_MINUS | T_NOT | T_ABS )
+            int alt97=5;
             switch ( input.LA(1) ) {
             case T_CARD:
             case T_DCONC:
@@ -6251,7 +6276,7 @@
             case T_LEN:
             case T_TAIL:
                 {
-                alt96=1;
+                alt97=1;
                 }
                 break;
             case T_DOM:
@@ -6258,35 +6283,35 @@
             case T_MERGE:
             case T_RNG:
                 {
-                alt96=2;
+                alt97=2;
                 }
                 break;
             case T_MINUS:
                 {
-                alt96=3;
+                alt97=3;
                 }
                 break;
             case T_NOT:
                 {
-                alt96=4;
+                alt97=4;
                 }
                 break;
             case T_ABS:
                 {
-                alt96=5;
+                alt97=5;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 96, 0, input);
+                    new NoViableAltException("", 97, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt96) {
+            switch (alt97) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:872:4: r= op_un_set_list
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:876:4: r= op_un_set_list
                     {
                     pushFollow(FOLLOW_op_un_set_list_in_op_un4267);
                     r=op_un_set_list();
@@ -6299,7 +6324,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:873:4: r2= op_un_map
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:877:4: r2= op_un_map
                     {
                     pushFollow(FOLLOW_op_un_map_in_op_un4276);
                     r2=op_un_map();
@@ -6312,7 +6337,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:874:4: T_MINUS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:878:4: T_MINUS
                     {
                     match(input,T_MINUS,FOLLOW_T_MINUS_in_op_un4284);
 
@@ -6321,7 +6346,7 @@
                     }
                     break;
                 case 4 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:875:4: T_NOT
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:879:4: T_NOT
                     {
                     match(input,T_NOT,FOLLOW_T_NOT_in_op_un4292);
 
@@ -6330,7 +6355,7 @@
                     }
                     break;
                 case 5 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:876:4: T_ABS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:880:4: T_ABS
                     {
                     match(input,T_ABS,FOLLOW_T_ABS_in_op_un4300);
 
@@ -6356,7 +6381,7 @@
 
 
     // $ANTLR start "op_un_set_list"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:880:1: op_un_set_list returns [UnaryOperator expr] : ( T_CARD | T_DCONC | T_DINTER | T_DUNION | T_ELEMS | T_HEAD | T_INDS | T_LEN | T_TAIL );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:884:1: op_un_set_list returns [UnaryOperator expr] : ( T_CARD | T_DCONC | T_DINTER | T_DUNION | T_ELEMS | T_HEAD | T_INDS | T_LEN | T_TAIL );
     public final UnaryOperator op_un_set_list() throws RecognitionException {
         UnaryOperator expr = null;
 
@@ -6365,65 +6390,65 @@
         		expr = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:885:2: ( T_CARD | T_DCONC | T_DINTER | T_DUNION | T_ELEMS | T_HEAD | T_INDS | T_LEN | T_TAIL )
-            int alt97=9;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:889:2: ( T_CARD | T_DCONC | T_DINTER | T_DUNION | T_ELEMS | T_HEAD | T_INDS | T_LEN | T_TAIL )
+            int alt98=9;
             switch ( input.LA(1) ) {
             case T_CARD:
                 {
-                alt97=1;
+                alt98=1;
                 }
                 break;
             case T_DCONC:
                 {
-                alt97=2;
+                alt98=2;
                 }
                 break;
             case T_DINTER:
                 {
-                alt97=3;
+                alt98=3;
                 }
                 break;
             case T_DUNION:
                 {
-                alt97=4;
+                alt98=4;
                 }
                 break;
             case T_ELEMS:
                 {
-                alt97=5;
+                alt98=5;
                 }
                 break;
             case T_HEAD:
                 {
-                alt97=6;
+                alt98=6;
                 }
                 break;
             case T_INDS:
                 {
-                alt97=7;
+                alt98=7;
                 }
                 break;
             case T_LEN:
                 {
-                alt97=8;
+                alt98=8;
                 }
                 break;
             case T_TAIL:
                 {
-                alt97=9;
+                alt98=9;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 97, 0, input);
+                    new NoViableAltException("", 98, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt97) {
+            switch (alt98) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:885:4: T_CARD
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:889:4: T_CARD
                     {
                     match(input,T_CARD,FOLLOW_T_CARD_in_op_un_set_list4327);
 
@@ -6432,7 +6457,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:887:4: T_DCONC
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:891:4: T_DCONC
                     {
                     match(input,T_DCONC,FOLLOW_T_DCONC_in_op_un_set_list4338);
 
@@ -6441,7 +6466,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:889:4: T_DINTER
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:893:4: T_DINTER
                     {
                     match(input,T_DINTER,FOLLOW_T_DINTER_in_op_un_set_list4349);
 
@@ -6450,7 +6475,7 @@
                     }
                     break;
                 case 4 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:891:4: T_DUNION
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:895:4: T_DUNION
                     {
                     match(input,T_DUNION,FOLLOW_T_DUNION_in_op_un_set_list4359);
 
@@ -6459,7 +6484,7 @@
                     }
                     break;
                 case 5 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:893:4: T_ELEMS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:897:4: T_ELEMS
                     {
                     match(input,T_ELEMS,FOLLOW_T_ELEMS_in_op_un_set_list4369);
 
@@ -6468,7 +6493,7 @@
                     }
                     break;
                 case 6 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:895:4: T_HEAD
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:899:4: T_HEAD
                     {
                     match(input,T_HEAD,FOLLOW_T_HEAD_in_op_un_set_list4380);
 
@@ -6477,7 +6502,7 @@
                     }
                     break;
                 case 7 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:897:4: T_INDS
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:901:4: T_INDS
                     {
                     match(input,T_INDS,FOLLOW_T_INDS_in_op_un_set_list4391);
 
@@ -6486,7 +6511,7 @@
                     }
                     break;
                 case 8 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:899:4: T_LEN
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:903:4: T_LEN
                     {
                     match(input,T_LEN,FOLLOW_T_LEN_in_op_un_set_list4402);
 
@@ -6495,7 +6520,7 @@
                     }
                     break;
                 case 9 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:901:4: T_TAIL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:905:4: T_TAIL
                     {
                     match(input,T_TAIL,FOLLOW_T_TAIL_in_op_un_set_list4413);
 
@@ -6521,7 +6546,7 @@
 
 
     // $ANTLR start "op_un_map"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:906:1: op_un_map returns [UnaryOperator expr] : ( T_DOM | T_RNG | T_MERGE );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:910:1: op_un_map returns [UnaryOperator expr] : ( T_DOM | T_RNG | T_MERGE );
     public final UnaryOperator op_un_map() throws RecognitionException {
         UnaryOperator expr = null;
 
@@ -6530,35 +6555,35 @@
         		expr = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:911:2: ( T_DOM | T_RNG | T_MERGE )
-            int alt98=3;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:915:2: ( T_DOM | T_RNG | T_MERGE )
+            int alt99=3;
             switch ( input.LA(1) ) {
             case T_DOM:
                 {
-                alt98=1;
+                alt99=1;
                 }
                 break;
             case T_RNG:
                 {
-                alt98=2;
+                alt99=2;
                 }
                 break;
             case T_MERGE:
                 {
-                alt98=3;
+                alt99=3;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 98, 0, input);
+                    new NoViableAltException("", 99, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt98) {
+            switch (alt99) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:911:4: T_DOM
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:915:4: T_DOM
                     {
                     match(input,T_DOM,FOLLOW_T_DOM_in_op_un_map4442);
 
@@ -6567,7 +6592,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:913:4: T_RNG
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:917:4: T_RNG
                     {
                     match(input,T_RNG,FOLLOW_T_RNG_in_op_un_map4453);
 
@@ -6576,7 +6601,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:915:4: T_MERGE
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:919:4: T_MERGE
                     {
                     match(input,T_MERGE,FOLLOW_T_MERGE_in_op_un_map4464);
 
@@ -6602,21 +6627,21 @@
     // Delegated rules
 
 
-    protected DFA67 dfa67 = new DFA67(this);
-    protected DFA84 dfa84 = new DFA84(this);
-    static final String DFA67_eotS =
+    protected DFA68 dfa68 = new DFA68(this);
+    protected DFA85 dfa85 = new DFA85(this);
+    static final String DFA68_eotS =
         "\101\uffff";
-    static final String DFA67_eofS =
+    static final String DFA68_eofS =
         "\101\uffff";
-    static final String DFA67_minS =
+    static final String DFA68_minS =
         "\1\21\1\uffff\1\10\76\uffff";
-    static final String DFA67_maxS =
+    static final String DFA68_maxS =
         "\1\156\1\uffff\1\167\76\uffff";
-    static final String DFA67_acceptS =
+    static final String DFA68_acceptS =
         "\1\uffff\1\1\1\uffff\1\2\5\uffff\1\3\2\uffff\1\4\1\5\63\uffff";
-    static final String DFA67_specialS =
+    static final String DFA68_specialS =
         "\101\uffff}>";
-    static final String[] DFA67_transitionS = {
+    static final String[] DFA68_transitionS = {
             "\1\11\27\uffff\1\14\1\3\1\uffff\1\3\2\uffff\1\14\3\uffff\1\1"+
             "\10\uffff\1\3\6\uffff\1\15\1\11\7\uffff\1\11\1\3\23\uffff\1"+
             "\2\5\uffff\1\3\6\uffff\1\3",
@@ -6691,53 +6716,53 @@
             ""
     };
 
-    static final short[] DFA67_eot = DFA.unpackEncodedString(DFA67_eotS);
-    static final short[] DFA67_eof = DFA.unpackEncodedString(DFA67_eofS);
-    static final char[] DFA67_min = DFA.unpackEncodedStringToUnsignedChars(DFA67_minS);
-    static final char[] DFA67_max = DFA.unpackEncodedStringToUnsignedChars(DFA67_maxS);
-    static final short[] DFA67_accept = DFA.unpackEncodedString(DFA67_acceptS);
-    static final short[] DFA67_special = DFA.unpackEncodedString(DFA67_specialS);
-    static final short[][] DFA67_transition;
+    static final short[] DFA68_eot = DFA.unpackEncodedString(DFA68_eotS);
+    static final short[] DFA68_eof = DFA.unpackEncodedString(DFA68_eofS);
+    static final char[] DFA68_min = DFA.unpackEncodedStringToUnsignedChars(DFA68_minS);
+    static final char[] DFA68_max = DFA.unpackEncodedStringToUnsignedChars(DFA68_maxS);
+    static final short[] DFA68_accept = DFA.unpackEncodedString(DFA68_acceptS);
+    static final short[] DFA68_special = DFA.unpackEncodedString(DFA68_specialS);
+    static final short[][] DFA68_transition;
 
     static {
-        final int numStates = DFA67_transitionS.length;
-        DFA67_transition = new short[numStates][];
+        final int numStates = DFA68_transitionS.length;
+        DFA68_transition = new short[numStates][];
         for (int i=0; i<numStates; i++) {
-            DFA67_transition[i] = DFA.unpackEncodedString(DFA67_transitionS[i]);
+            DFA68_transition[i] = DFA.unpackEncodedString(DFA68_transitionS[i]);
         }
     }
 
-    class DFA67 extends DFA {
+    class DFA68 extends DFA {
 
-        public DFA67(BaseRecognizer recognizer) {
+        public DFA68(BaseRecognizer recognizer) {
             this.recognizer = recognizer;
-            this.decisionNumber = 67;
-            this.eot = DFA67_eot;
-            this.eof = DFA67_eof;
-            this.min = DFA67_min;
-            this.max = DFA67_max;
-            this.accept = DFA67_accept;
-            this.special = DFA67_special;
-            this.transition = DFA67_transition;
+            this.decisionNumber = 68;
+            this.eot = DFA68_eot;
+            this.eof = DFA68_eof;
+            this.min = DFA68_min;
+            this.max = DFA68_max;
+            this.accept = DFA68_accept;
+            this.special = DFA68_special;
+            this.transition = DFA68_transition;
         }
         @Override
 		public String getDescription() {
-            return "649:19: (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? )";
+            return "653:19: (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? )";
         }
     }
-    static final String DFA84_eotS =
+    static final String DFA85_eotS =
         "\74\uffff";
-    static final String DFA84_eofS =
+    static final String DFA85_eofS =
         "\74\uffff";
-    static final String DFA84_minS =
+    static final String DFA85_minS =
         "\1\63\1\10\1\uffff\1\0\70\uffff";
-    static final String DFA84_maxS =
+    static final String DFA85_maxS =
         "\1\141\1\167\1\uffff\1\0\70\uffff";
-    static final String DFA84_acceptS =
+    static final String DFA85_acceptS =
         "\2\uffff\1\2\70\uffff\1\1";
-    static final String DFA84_specialS =
+    static final String DFA85_specialS =
         "\3\uffff\1\0\70\uffff}>";
-    static final String[] DFA84_transitionS = {
+    static final String[] DFA85_transitionS = {
             "\1\1\55\uffff\1\2",
             "\2\2\2\uffff\2\2\4\uffff\1\2\1\uffff\2\2\1\uffff\1\2\4\uffff"+
             "\1\2\2\uffff\2\2\1\uffff\2\2\2\uffff\3\2\4\uffff\2\2\1\uffff"+
@@ -6805,38 +6830,38 @@
             ""
     };
 
-    static final short[] DFA84_eot = DFA.unpackEncodedString(DFA84_eotS);
-    static final short[] DFA84_eof = DFA.unpackEncodedString(DFA84_eofS);
-    static final char[] DFA84_min = DFA.unpackEncodedStringToUnsignedChars(DFA84_minS);
-    static final char[] DFA84_max = DFA.unpackEncodedStringToUnsignedChars(DFA84_maxS);
-    static final short[] DFA84_accept = DFA.unpackEncodedString(DFA84_acceptS);
-    static final short[] DFA84_special = DFA.unpackEncodedString(DFA84_specialS);
-    static final short[][] DFA84_transition;
+    static final short[] DFA85_eot = DFA.unpackEncodedString(DFA85_eotS);
+    static final short[] DFA85_eof = DFA.unpackEncodedString(DFA85_eofS);
+    static final char[] DFA85_min = DFA.unpackEncodedStringToUnsignedChars(DFA85_minS);
+    static final char[] DFA85_max = DFA.unpackEncodedStringToUnsignedChars(DFA85_maxS);
+    static final short[] DFA85_accept = DFA.unpackEncodedString(DFA85_acceptS);
+    static final short[] DFA85_special = DFA.unpackEncodedString(DFA85_specialS);
+    static final short[][] DFA85_transition;
 
     static {
-        final int numStates = DFA84_transitionS.length;
-        DFA84_transition = new short[numStates][];
+        final int numStates = DFA85_transitionS.length;
+        DFA85_transition = new short[numStates][];
         for (int i=0; i<numStates; i++) {
-            DFA84_transition[i] = DFA.unpackEncodedString(DFA84_transitionS[i]);
+            DFA85_transition[i] = DFA.unpackEncodedString(DFA85_transitionS[i]);
         }
     }
 
-    class DFA84 extends DFA {
+    class DFA85 extends DFA {
 
-        public DFA84(BaseRecognizer recognizer) {
+        public DFA85(BaseRecognizer recognizer) {
             this.recognizer = recognizer;
-            this.decisionNumber = 84;
-            this.eot = DFA84_eot;
-            this.eof = DFA84_eof;
-            this.min = DFA84_min;
-            this.max = DFA84_max;
-            this.accept = DFA84_accept;
-            this.special = DFA84_special;
-            this.transition = DFA84_transition;
+            this.decisionNumber = 85;
+            this.eot = DFA85_eot;
+            this.eof = DFA85_eof;
+            this.min = DFA85_min;
+            this.max = DFA85_max;
+            this.accept = DFA85_accept;
+            this.special = DFA85_special;
+            this.transition = DFA85_transition;
         }
         @Override
 		public String getDescription() {
-            return "788:1: identifierExpression returns [Expression result] : ({...}?aName= T_IDENTIFIER T_LPAREN m_params= methodCallParams T_RPAREN |res= reference );";
+            return "792:1: identifierExpression returns [Expression result] : ({...}?aName= T_IDENTIFIER T_LPAREN m_params= methodCallParams T_RPAREN |res= reference );";
         }
         @Override
 		public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
@@ -6844,10 +6869,10 @@
         	final int _s = s;
             switch ( s ) {
                     case 0 :
-                        final int LA84_3 = input.LA(1);
+                        final int LA85_3 = input.LA(1);
 
 
-                        final int index84_3 = input.index();
+                        final int index85_3 = input.index();
                         input.rewind();
 
                         s = -1;
@@ -6856,13 +6881,13 @@
                         else if ( ((!isTuple(input.LT(1).getText()))) ) {s = 2;}
 
 
-                        input.seek(index84_3);
+                        input.seek(index85_3);
 
                         if ( s>=0 ) return s;
                         break;
             }
             final NoViableAltException nvae =
-                new NoViableAltException(getDescription(), 84, _s, input);
+                new NoViableAltException(getDescription(), 85, _s, input);
             error(nvae);
             throw nvae;
         }
